As of 15 July 2024, Core API endpoints are deprecated and no longer available for Paperspace users.
shared drives
Last verified 17 Jun 2025
list
List information about all shared drives available to either the current authenticated user or the team, if the user belongs to a team. The list method takes an optional first argument to limit the returned network objects. Only team admins are able to list shared drives.
Examples
curl --request POST \
--header 'Authorization: Bearer edc20a51d9b2145...' \
--header 'content-type: application/json' \
--url https://api.paperspace.io/graphql \
--data '{"query":"query SharedDrives($first: Int) {\n sharedDrives(first: $first) {\n nodes {\n id\n name\n mountPoint\n size\n username\n password\n region {\n name\n }\n }\n }\n}","variables":{"first":20}}'Coming soon...Parameters
| Name | Type | Attributes | Description |
|---|---|---|---|
first |
number | Number of shared drives to list | |
name |
string | optional | Name to match on |
region |
string | optional | Region to match on |
Response
Type object
{
"data": {
"sharedDrives": {
"nodes": [
{
"id": "sdvkpg3v2v",
"name": "Datasets",
"mountPoint": "\\\\10.64.92.2\\sdvkpg3v2v",
"size": 536870912000,
"username": "********",
"password": "********",
"region": {
"name": "East Coast (NY2)"
}
}
]
}
}
}create
Creates a new shared drive for the current team. Only team admins are able to create shared drives.
The provided networkId must match a network in the provided region that has available IP space.
Examples
curl --request POST \
--header 'Authorization: Bearer edc20a51d9b2145...' \
--header 'content-type: application/json' \
--url https://api.paperspace.io/graphql \
--data '{"query":"mutation CreateSharedDrive($input: CreateSharedDriveInput!) {\n createSharedDrive(input: $input) {\n sharedDrive {\n id\n name\n }\n }\n}","variables":{"input":{"name":"Models","size":1000,"regionId":"West Coast (CA1)","networkId":"n123abc"}}}'Coming soon...Parameters
| Name | Type | Attributes | Description |
|---|---|---|---|
name |
string | Name of shared drive | |
size |
number | Desired size in GiB | |
region |
string | Region for shared drive | |
networkId |
string | Network for shared drive |
Response
Type object
{
"data": {
"createSharedDrive": {
"sharedDrive": {
"id": "sdlpjdhzsc",
"name": "Models"
}
}
}
}delete
Deletes a shared drive belonging to the current team. Only team admins are able to delete shared drives.
Examples
curl --request POST \
--header 'Authorization: Bearer edc20a51d9b2145...' \
--header 'content-type: application/json' \
--url https://api.paperspace.io/graphql \
--data '{"query":"mutation DeleteSharedDrive($input: DeleteSharedDriveInput!) {\n deleteSharedDrive(input: $input) {\n sharedDrive {\n id\n }\n }\n}","variables":{"input":{"id":"sdlpjdhzsc"}}}'Coming soon...Parameters
| Name | Type | Attributes | Description |
|---|---|---|---|
id |
string | ID of shared drive |
Response
Type object
{
"data": {
"deleteSharedDrive": {
"sharedDrive": {
"id": "sdlpjdhzsc"
}
}
}
}